Subject: Re: linux-next: cpufreq tree build failure

From: Thomas Renninger <[email-masked]>
Date: Thu, 5 Feb 2009 10:33:04 +0100

On Thursday 05 February 2009 08:54:20 Stephen Rothwell wrote:
> Hi Dave,
> 
> Today's linux-next build (powerpc allyesconfig) failed like this:
> 
> drivers/cpufreq/cpufreq_conservative.o: In function `minimum_sampling_rate':
> (.opd+0x30): multiple definition of `minimum_sampling_rate'
> drivers/cpufreq/cpufreq_ondemand.o:(.opd+0x18): first defined here
> drivers/cpufreq/cpufreq_conservative.o: In function `minimum_sampling_rate':
> drivers/cpufreq/cpufreq_conservative.c:64: multiple definition of 
`.minimum_sampling_rate'
> drivers/cpufreq/cpufreq_ondemand.o:drivers/cpufreq/cpufreq_ondemand.c:62: 
first defined here
> 
> Caused by commit f935195b8a341d7ffdf600dd98a657f2f09b7908 ("[CPUFREQ]
> ondemand/conservative: sanitize sampling_rate restrictions").
> 
> I have reverted that commit for today.
Argh, I test compiled the conservative as module and ondemand permanent,
thus this bug did not show up.

The minimum_sampling_rate function must be declared static in both:
drivers/cpufreq/cpufreq_ondemand.c
and
drivers/cpufreq/cpufreq_conservative.c

This could be done by just adding this in the patch itself
(no newline needed).
Could Dave also drop the patch, declare the two functions static and
re-add it and you pick it up automatically with the next merge or
do I have to send an on top fix (or can you, Dave, just do this
little change)?

Sorry and thanks,

    Thomas